Subject: bug#44675: guix lint: support for spellchecker or basic grammar

From: zimoun <[email-masked]>
Date: Sun, 24 Oct 2021 13:56:14 +0200

Hi,

On Sun, 24 Oct 2021 at 04:22, Vagrant Cascadian <[email-masked]> wrote:

> So close! Ludo spotted that the for-each needed to be replaced with
> append-map, and that basically did it!

Indeed, I have not checked the type of full chain. :-) And the return
value probably needs to be strongly a list, instead of not-specified. ;-)

> Here's to hoping for a guix with fewer glaring typos with which to craft
> guix poetry. :)

Guix poetry, oh well. :-)

> From a171769da0f737468e06866164eadf1e720764ba Mon Sep 17 00:00:00 2001
> From: Vagrant Cascadian <[email-masked]>
> Date: Sun, 24 Oct 2021 04:00:15 -0700
> Subject: [PATCH] lint: Add description check for common typos.
>
> Fixes: https://issues.guix.gnu.org/44675
>
> * guix/lint.scm (check-description-typo): Add check for occurances of
                                                          ----^^

Occurrence, no?  Well, maybe a US vs UK vs French-glish. :-)

>   "This packages", "This modules", "allows to" and "permits to" in package
>   descriptions.
> * tests/lint.scm: Add tests for "This packages" and "allows to".
> ---
>  guix/lint.scm  | 19 +++++++++++++++++++
>  tests/lint.scm | 14 ++++++++++++++
>  2 files changed, 33 insertions(+)

Otherwise, LGTM.

Cheers,
simon